config <- yaml::read_yaml(here::here("config.yaml"))

# Produce the simulation parameters for all simulations

# Currently this has exactly the parameters required by {splatter}.
simulation_pars <- list(
  sim_1 = list(num_rep = 1,
               de.FacLoc = 2,
               group.prob = rep(1 / 5, 5),
               batchCells = 1000,
               seed = 10)
)

# Write out the simulation ids to a (json) file.
simulation_ids <- names(simulation_pars)
write(jsonlite::toJSON(simulation_ids), config$simulation_ids)

